# macop.algorithms.mono.IteratedLocalSearch — macop v1.0.1 documentation

# macop.algorithms.mono.IteratedLocalSearch

Iterated Local Search Algorithm implementation

Classes

`IteratedLocalSearch`(initalizer, evaluator, …) | Iterated Local Search used to avoid local optima and increave EvE (Exploration vs Exploitation) compromise

class `macop.algorithms.mono.IteratedLocalSearch.``IteratedLocalSearch`(initalizer, evaluator, operators, policy, validator, maximise=True, parent=None)

  Iterated Local Search used to avoid local optima and increave EvE (Exploration vs Exploitation) compromise

  `initalizer`

    {function} – basic function strategy to initialize solution

  `evaluator`

    {function} – basic function in order to obtained fitness (mono or multiple objectives)

  `operators`

    {[Operator]} – list of operator to use when launching algorithm

  `policy`

    {Policy} – Policy class implementation strategy to select operators

  `validator`

    {function} – basic function to check if solution is valid or not under some constraints

  `maximise`

    {bool} – specify kind of optimisation problem

  `currentSolution`

    {Solution} – current solution managed for current evaluation

  `bestSolution`

    {Solution} – best solution found so far during running algorithm

  `callbacks`

    {[Callback]} – list of Callback class implementation to do some instructions every number of evaluations and load when initializing algorithm

  `run`(evaluations, ls_evaluations=100)

    Run the iterated local search algorithm using local search (EvE compromise)

    Parameters

      - evaluations – {int} – number of global evaluations for ILS

      - ls_evaluations – {int} – number of Local search evaluations (default: 100)

    Returns

      {Solution} – best solution found